import request from '@/utils/request'
// 申请单相关接口

//医嘱大下拉
export function getApplicationList(queryParams) {
  return request({
    url: '/doctor-station/advice/advice-base-info',
    method: 'get',
    params: queryParams
  })
}
/**
 * 保存检查申请单
 */
export function saveCheckd(data) {
  return request({
    url: '/reg-doctorstation/request-form/save-check',
    method: 'post',
    data: data
  })
}
/**
 * 保存检验申请单
 */
export function saveInspection(data) {
  return request({
    url: '/reg-doctorstation/request-form/save-inspection',
    method: 'post',
    data: data
  })
}
/**
 * 保存输血申请单
 */
export function saveBloodTransfusio(data) {
  return request({
    url: '/reg-doctorstation/request-form/save-blood-transfusio',
    method: 'post',
    data: data
  })
}
/**
 * 保存手术申请单
 */
export function saveSurgery(data) {
  return request({
    url: '/reg-doctorstation/request-form/save-surgery',
    method: 'post',
    data: data
  })
}

//   ===== 

/**
 * 查询检查申请单
 */
export function getCheck(data) {
  return request({
    url: '/reg-doctorstation/request-form/get-check',
    method: 'get',
    params: data
  })
}
/**
 * 查询检验申请单
 */
export function getInspection(data) {
  return request({
    url: '/reg-doctorstation/request-form/get-inspection',
    method: 'get',
    params: data
  })
}
/**
 * 查询输血申请单
 */
export function getBloodTransfusion(data) {
  return request({
    url: '/reg-doctorstation/request-form/get-blood-transfusion',
    method: 'get',
    params: data
  })
}
/**
 * 查询手术申请单
 */
export function geturger(data) {
  return request({
    url: '/reg-doctorstation/request-form/get-surgery',
    method: 'get',
    params: data
  })
}

/**
 * 住院患者转科
 */
export function transferOrganization(data) {
  return request({
    url: '/reg-doctorstation/special-advice/transfer-organization-orders',
    method: 'post',
    data: data
  })
}





